# $Revision: 1.32 $, $Date: 2004/08/08 17:39:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Config
%define	pnam	General
Summary:	Config::General - generic config module
Summary(pl):	Config::General - oglny modu konfiguracji
Name:		perl-Config-General
Version:	2.27
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dba34b94789fe68f19e97016b6c2194c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%description -l pl
Ten modu otwiera plik konfiguracyjny i analizuje jego zawarto.
Metoda new wymaga jednego parametru, ktrym musi by nazwa pliku.
Metoda getall zwraca hasza zawierajcego wszystkie opcje i zwizane
z nimi wartoci z pliku konfiguracyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_vendorlib}/Config/General.pm
%{perl_vendorlib}/Config/General
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-General.spec,v $
Revision 1.32  2004/08/08 17:39:04  adamg
- updated to 2.27

Revision 1.31  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.30  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.28  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.27  2004/03/14 17:21:41  adamg
- updated to 2.26

Revision 1.26  2003/11/08 21:25:35  migo
- up to 2.24, new bcond style

Revision 1.25  2003/09/15 08:17:22  adamg
- updated to 2.21

Revision 1.24  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/06/11 22:22:14  misi3k
- updated to 2.19

Revision 1.22  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/04/11 13:40:09  qboosh
- updated to 2.18, release 2

Revision 1.18  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:28:21  ankry
- massive attack: change CPAN URLs

Revision 1.15  2003/01/07 13:14:07  mis
- autoupdated to 2.15

Revision 1.14  2002/11/21 16:39:12  mis
- autoupdated to 2.14

Revision 1.13  2002/11/20 11:40:44  mis
- autoupdated to 2.13

Revision 1.12  2002/11/08 18:01:37  radek
- version 2.11

Revision 1.11  2002/10/28 15:41:09  ankry
- version 2.09, added tests, typo

Revision 1.10  2002/08/14 23:37:30  qboosh
- pl description, release 4

Revision 1.9  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.8  2002/07/24 00:15:57  ankry
- translations, cleaning
- %%dir %{perl_sitelib}/Config moved to perl
- release 2

Revision 1.7  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.6  2002/07/11 07:57:41  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/03/07 16:07:44  kloczek
- add %%{perl_sitelib}/Config directory also to package.

Revision 1.2  2002/03/07 13:37:38  grzegorz
- rel 1

Revision 1.1  2002/03/07 13:35:13  grzegorz
- PLD initial spec
